#ifndef _DC_HW_H_
#define _DC_HW_H_

extern uint8 dc_ram[8*1024*1024];

void dc_hw_init(void);

uint8 dc_read8(int addr);
uint16 dc_read16(int addr);
uint32 dc_read32(int addr);
void dc_write8(int addr, uint8 data);
void dc_write16(int addr, uint16 data);
void dc_write32(int addr, uint32 data);

#endif

